<?php
/**
 * @file
 * This file contains functions which are meant to be called from nightly routines.
 * 
 * Please see the sample_rotune.php file for an example of how to set up a nightly
 * routine, using the functions in this file.
 * 
 *
 */


// Make sure we are connected to our Banner oracle instance:
banner_integration_connect_if_not_connected();


/**
 * This function will pull in the transfer institutions from Banner, into
 * FlightPath's transfer_institutions table.
 *
 */
function banner_integration_routines_import_transfer_institutions() {    
  
  db_query("TRUNCATE transfer_institutions");

  $res = oracleapi_query("
        select stvsbgi_code, stvsbgi_desc
        from stvsbgi      
        ") or die(oracleapi_error());
  
  while ($cur = oracleapi_fetch_array($res)) {
    $institution_id = $cur["STVSBGI_CODE"];
    $institution_name = $cur["STVSBGI_DESC"];
    
    // Let's figure out the state, if it has one.
    $res2 = oracleapi_query("SELECT sobsbgi_stat_code
                          FROM sobsbgi
                          WHERE sobsbgi_sbgi_code = '?' ", $institution_id) or die(oracleapi_error());
    $cur2 = oracleapi_fetch_array($res2);    
    $state = trim($cur2["SOBSBGI_STAT_CODE"]);
    
    // Okay, let's insert into MySQL.
    $res2 = db_query("INSERT INTO transfer_institutions (institution_id, name, state)
                          VALUES ('?', '?', '?')", $institution_id, $institution_name, $state);
    
    
  }   
  
}


